Subject: Re: Wake On Lan device semantics

From: Jeff Garzik <[email-masked]>
Date: Fri, 03 Nov 2006 18:51:25 -0500

Stephen Hemminger wrote:
> I am working on getting WOL to work on sky2 (and then skge). But in the process I
> noticed that the semantics of WOL seems to be device dependent. I assume that WOL
> should work when device is suspended. But some drivers also support WOL when
> the device is down (or even removed).

[...]
> It doesn't seem like a good idea for a network device to wake the system
> if it is down. Maybe if the kernel fully supported dormant, maybe, but
> when device is down it shouldn't impact the system.

You seem to be muddling "device", "driver", and "system" together.

The purpose of WOL is being able to turn on a system remotely, if it is 
in a power-off or sleep state.

So, if the system is -on- and the interface is down and/or driver is 
unloaded, are you saying WOL is a problem somehow?

	Jeff